[API] Update Topic

Updates topic content and/or metadata.

PATCH projects/{project-id}/articles/{topic-id}

Authentication

This request requires basic authentication.

Request Parameters

Path params
project-id string
The ID of the project to update the topic in.
topic-id string
The ID of the topic to update.
Body params
assigneeUserNamestring
[optional] Topic assignee's login.
bodystring
[optional] The HTML content of the topic.
ownerUserName
string
[optional] Topic owner's login.
statusName
string
[optional] Topic's workflow status.
title
string
[optional] The topic title.
indexKeywords
array of strings[optional] An array of strings containing Index Keywords to set when updating a topic.
updatedFields
string
A comma-separated list of fields that will be updated. If a field name is not in the list, it will not be updated even if the field value is specified in other request parameters.

Samples

Request sample
Bash (Unix Shell)
[Bash (Unix Shell)]

curl --location -g --request PATCH 'https://{portal-url}/api/v1/projects/project-deep-space-exploration/articles/nebula' ^
--data-raw '{
	"assigneeUserName":"admin",
	"body":"<h1>This topic was created with API</h1>",
	"ownerUserName":"admin",
	"statusName":"draft",
	"title":"New topic created with API",
  "indexKeywords": [
        "machinery",
        "api"
    ],
	"updatedFields": "title, body, statusName, assigneeUserName, ownerUserName, indexKeywords"
}'